Bug 589843 - cannot select systems in reserveworkflow
Summary: cannot select systems in reserveworkflow
Status: CLOSED NEXTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler   
(Show other bugs)
Version: 0.5
Hardware: All Linux
low
high vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 04:58 UTC by Han Pingtian
Modified: 2010-05-11 13:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-11 13:16:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Han Pingtian 2010-05-07 04:58:04 UTC
Description of problem:
I want to reserve a special machine, such as dell-pe2850-01.rhts.eng.bos.redhat.com, but after specifying oter items such as 'Arch' 'Distro Family' 'Method' and 'Distro' and select 'Show Systems', it only show me the machines I have reserved before. And I cannot find the dell-pe2850-01 by the 'search' function.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Raymond Mancy 2010-05-07 05:43:45 UTC
Taking a look...

Comment 2 Raymond Mancy 2010-05-07 07:07:33 UTC
What values are you using for 'Arch', 'Disto family' etc etc ?

Comment 3 Han Pingtian 2010-05-07 09:02:03 UTC
(In reply to comment #2)
> What values are you using for 'Arch', 'Disto family' etc etc ?    

Arch: x86_64 
Disto family: RedHatEnterpriseLinux6
Method: http
Tag: none
Distro: RHEL6.0-20100506.1_http-ComputeNode-x86_64

Comment 4 Raymond Mancy 2010-05-10 06:52:15 UTC
From what I can tell, SQLAlchemy has done something whack with the SQL query. 

Until this is fixed, you could reserve your system by first searching for the system, and then selecting a distro to provision with. As per this doc

http://documentation-stage.bne.redhat.com/docs/en-US/Beaker/0.1/html/User_Guide/chap-beaker_user_guide-Provision.html#sect-beaker_user_guide-Components-System_Provisioning-Provision_by_System

Comment 6 Bill Peck 2010-05-11 13:16:44 UTC
merged.  Will be in next release.


Note You need to log in before you can comment on or make changes to this bug.